% mcas.m
% analyzes data from the MCAS Test in Mathematics from 1998-2005

% create matrices that store data and years
results = [7 9 15 18 20 24 29 35; 17 15 18 27 24 27 28 27; ...
    24 23 22 30 31 29 28 24; 52 53 45 25 25 20 15 15];
years = [1998 1999 2000 2001 2002 2003 2004 2005];

% plot the data for each performance level vs. years
hold on
plot(years, results(1, :), 'b', 'LineWidth', 2);
plot(years, results(2, :), 'g', 'LineWidth', 2);
plot(years, results(3, :), 'c', 'LineWidth', 2);
plot(years, results(4, :), 'r', 'LineWidth', 2);
hold off
xlabel('year')
ylabel('percentage of students')
title('MCAS results')
legend('advanced', 'proficient', 'improve', 'failing');

% print total change in results between 1998 and 2005
totalChange = results(:, end) - results(:, 1);
disp('Change in performance between 1998 and 2005:');
disp(['advanced: ' num2str(totalChange(1)) '%']);
disp(['proficient: ' num2str(totalChange(2)) '%']);
disp(['needs improvement: ' num2str(totalChange(3)) '%']);
disp(['failing: ' num2str(totalChange(4)) '%']);
