% olympics.m
% analyzes medals won for 7 countries in the 2018 winter olympics

% medals (rows contain gold, silver, bronze medals won), names, populations 
% of 7 countries that competed in the 2018 winter olympics
medals = [9 0 6 13 4 1 12; 5 5 5 11 3 0 7; 7 2 6 9 2 3 5];
names = {'canada' 'china' 'us' 'norway' 'south korea' 'great britain' 'germany'};
pops = [36624200 1409517400 324459500 5233000 50982200 65640000 82114300];

total = sum(medals)                 % total medals won by each country
[maxVal maxInd] = max(total)        % largest total & index of country with most medals
names(maxInd)                       % print name of country with most medals
percap = total ./ pops              % per capita medals won by each country
[maxVal maxInd] = max(percap)   % value & index for country with most per capita medals
names(maxInd)                   % print name of country with most per capita medals
% countries with more gold medals than silver and bronze medals combined
places = medals(3,:) > (medals(1,:) + medals(2,:))
names(places)
% countries with least number of bronze medals
minVal = min(medals(3,:))
names(medals(3,:) == minVal)


